Lookup.LookupResult (Lucene 10.5.0 suggest API)
Description: declaration: package: org.apache.lucene.search.suggest, class: Lookup, class: LookupResult

Package org.apache.lucene.search.suggest

# Class Lookup.LookupResult

java.lang.Object
org.apache.lucene.search.suggest.Lookup.LookupResult

All Implemented Interfaces:
  `Comparable<Lookup.LookupResult>`

Enclosing class:
  `Lookup`

public static final class Lookup.LookupResult extends Object implements Comparable<Lookup.LookupResult>
Result of a lookup.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final Set<BytesRef>`
  `contexts`
  the key's contexts (null if not present)
  `final Object`
  `highlightKey`
  Expert: custom Object to hold the result of a highlighted suggestion.
  `final CharSequence`
  `key`
  the key's text
  `final BytesRef`
  `payload`
  the key's payload (null if not present)
  `final long`
  `value`
  the key's weight

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LookupResult(CharSequence key, long value)`
  Create a new result from a key+weight pair.
  `LookupResult(CharSequence key, long value, Set<BytesRef> contexts)`
  Create a new result from a key+weight+contexts triple.
  `LookupResult(CharSequence key, long value, BytesRef payload)`
  Create a new result from a key+weight+payload triple.
  `LookupResult(CharSequence key, long value, BytesRef payload, Set<BytesRef> contexts)`
  Create a new result from a key+weight+payload+contexts triple.
  `LookupResult(CharSequence key, Object highlightKey, long value, BytesRef payload)`
  Create a new result from a key+highlightKey+weight+payload triple.
  `LookupResult(CharSequence key, Object highlightKey, long value, BytesRef payload, Set<BytesRef> contexts)`
  Create a new result from a key+highlightKey+weight+payload+contexts triple.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Lookup.LookupResult o)`
  Compare alphabetically.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### key

    public final CharSequence key
    the key's text

  - ### highlightKey

    public final Object highlightKey
    Expert: custom Object to hold the result of a highlighted suggestion.

  - ### value

    public final long value
    the key's weight

  - ### payload

    public final BytesRef payload
    the key's payload (null if not present)

  - ### contexts

    public final Set<BytesRef> contexts
    the key's contexts (null if not present)

- ## Constructor Details

  - ### LookupResult

    public LookupResult(CharSequence key, long value)
    Create a new result from a key+weight pair.

  - ### LookupResult

    public LookupResult(CharSequence key, long value, BytesRef payload)
    Create a new result from a key+weight+payload triple.

  - ### LookupResult

    public LookupResult(CharSequence key, Object highlightKey, long value, BytesRef payload)
    Create a new result from a key+highlightKey+weight+payload triple.

  - ### LookupResult

    public LookupResult(CharSequence key, long value, BytesRef payload, Set<BytesRef> contexts)
    Create a new result from a key+weight+payload+contexts triple.

  - ### LookupResult

    public LookupResult(CharSequence key, long value, Set<BytesRef> contexts)
    Create a new result from a key+weight+contexts triple.

  - ### LookupResult

    public LookupResult(CharSequence key, Object highlightKey, long value, BytesRef payload, Set<BytesRef> contexts)
    Create a new result from a key+highlightKey+weight+payload+contexts triple.

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### compareTo

    public int compareTo(Lookup.LookupResult o)
    Compare alphabetically.
    Specified by:
      `compareTo` in interface `Comparable<Lookup.LookupResult>`